/* $Id: libfaucc.h,v 1.3 2009/01/27 15:49:10 potyra Exp $ 
 *
 * Copyright (C) 2008-2009 FAUcc Team <info@faumachine.org>.
 * This program is free software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License, either version 2 of
 * the License, or (at your option) any later version. See COPYING.
 */

#ifndef __LIBFAUCC_H_INCLUDED
#define __LIBFAUCC_H_INCLUDED

unsigned long __div32(unsigned long op1, unsigned long op2);
unsigned long __mod32(unsigned long op1, unsigned long op2);
unsigned long __mul32(unsigned long op1, unsigned long op2);

unsigned long long
__div64(unsigned long long op1, unsigned long long op2);
unsigned long long
__mod64(unsigned long long op1, unsigned long long op2);
unsigned long long
__mul64(unsigned long long op1, unsigned long long op2);

#endif /* __LIBFAUCC_H_INCLUDED */ 
